Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2024-04-06 11:57:19

0001 #! /bin/bash
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 echo "TESTING Alignment/JetHT single configuration with json..."
0006 pushd test_yaml/JetHT/single/testJob/unitTestJetHT
0007 ./cmsRun validation_cfg.py config=validation.json || die "Failure running JetHT single configuration with json" $?
0008 
0009 echo "TESTING Alignment/JetHT single configuration standalone..."
0010 ./cmsRun validation_cfg.py || die "Failure running JetHT single configuration standalone" $?
0011 popd
0012 
0013 echo "TESTING JetHT merge step"
0014 pushd test_yaml/JetHT/merge/testJob/unitTestJetHT
0015 ./run.sh || die "Failure running JetHT merge step" $?
0016 popd
0017 
0018 echo "TESTING JetHT plotting"
0019 pushd test_yaml/JetHT/plot/testJob/
0020 ./run.sh || die "Failure running JetHT plotting" $?
0021 popd
0022 
0023 echo "TESTING JetHT multi-IOV plotting"
0024 jetHtPlotter $CMSSW_BASE/src/Alignment/OfflineValidation/test/examples/jetHt_multiYearTrendPlot.json || die "Failure running multi-IOV JetHT plotting" $?